Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestCompilerProxy.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestCompilerProxy.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestCompilerProxy.java	(revision 523)
@@ -54,5 +54,5 @@
 import org.modelica.mdt.core.compiler.ConnectException;
 import org.modelica.mdt.core.compiler.ICompileError;
-import org.modelica.mdt.core.compiler.IDefinitionLocation;
+import org.modelica.mdt.core.IDefinitionLocation;
 import org.modelica.mdt.core.compiler.IParseResults;
 import org.modelica.mdt.core.compiler.InvocationError;
Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestInnerClass.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestInnerClass.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestInnerClass.java	(revision 523)
@@ -232,5 +232,5 @@
 		assertTrue("fishy file path", 
 				a_type.getFilePath().endsWith("component_model.mo"));
-		IRegion reg = a_type.getLocation();
+		IRegion reg = a_type.getLocation().getRegion();
 		assertEquals("wrong start offset", 342, reg.getOffset());
 		assertEquals("wrong length", 364-342+1, reg.getLength());
@@ -261,5 +261,5 @@
 		assertTrue("fishy file path", 
 				a_package.getFilePath().endsWith("component_model.mo"));
-		reg = a_package.getLocation();
+		reg = a_package.getLocation().getRegion();
 		assertEquals("wrong start offset", 95, reg.getOffset());
 		assertEquals("wrong length", 126-95+1, reg.getLength());
@@ -289,5 +289,5 @@
 		assertTrue("fishy file path", 
 				a_block.getFilePath().endsWith("component_model.mo"));
-		reg = a_block.getLocation();
+		reg = a_block.getLocation().getRegion();
 		assertEquals("wrong start offset", 271, reg.getOffset());
 		assertEquals("wrong length", 296-271+1, reg.getLength());
@@ -315,5 +315,5 @@
 		assertTrue("fishy file path", 
 				a_class.getFilePath().endsWith("component_model.mo"));
-		reg = a_class.getLocation();
+		reg = a_class.getLocation().getRegion();
 		assertEquals("wrong start offset", 132, reg.getOffset());
 		assertEquals("wrong length", 157-132+1, reg.getLength());
@@ -342,5 +342,5 @@
 		assertTrue("fishy file path", 
 				a_connector.getFilePath().endsWith("component_model.mo"));
-		reg = a_connector.getLocation();
+		reg = a_connector.getLocation().getRegion();
 		assertEquals("wrong start offset", 194, reg.getOffset());
 		assertEquals("wrong length", 231-194+1, reg.getLength());
@@ -369,5 +369,5 @@
 		assertTrue("fishy file path", 
 				a_function.getFilePath().endsWith("component_model.mo"));
-		reg = a_function.getLocation();
+		reg = a_function.getLocation().getRegion();
 		assertEquals("wrong start offset", 302, reg.getOffset());
 		assertEquals("wrong length", 336-302+1, reg.getLength());
@@ -395,5 +395,5 @@
 		assertTrue("fishy file path", 
 				a_model.getFilePath().endsWith("component_model.mo"));
-		reg = a_model.getLocation();
+		reg = a_model.getLocation().getRegion();
 		assertEquals("wrong start offset", 163, reg.getOffset());
 		assertEquals("wrong length", 188-163+1, reg.getLength());
@@ -421,5 +421,5 @@
 		assertTrue("fishy file path", 
 				a_record.getFilePath().endsWith("component_model.mo"));
-		reg = a_record.getLocation();
+		reg = a_record.getLocation().getRegion();
 		assertEquals("wrong start offset", 237, reg.getOffset());
 		assertEquals("wrong length", 265-237+1, reg.getLength());
@@ -445,8 +445,8 @@
 		assertEquals("wrong element full name", "components_bananza.a_real", 
 				a_real.getFullName());
-		assertEquals("wrong visibility", a_real.getVisbility(),
+		assertEquals("wrong visibility", a_real.getVisibility(),
 				IModelicaComponent.Visibility.PUBLIC);
 
-		reg = a_real.getLocation();
+		reg = a_real.getLocation().getRegion();
 		assertEquals("wrong start offset", 29, reg.getOffset());
 		assertEquals("wrong length", 58-29+1, reg.getLength());
@@ -475,7 +475,7 @@
 				"components_bananza.an_undocumented_real",
 				an_undocumented_real.getFullName());
-		assertEquals("wrong visibility", an_undocumented_real.getVisbility(),
+		assertEquals("wrong visibility", an_undocumented_real.getVisibility(),
 				IModelicaComponent.Visibility.PUBLIC);
-		reg = an_undocumented_real.getLocation();
+		reg = an_undocumented_real.getLocation().getRegion();
 		assertEquals("wrong start offset", 64, reg.getOffset());
 		assertEquals("wrong length", 89-64+1, reg.getLength());
@@ -505,7 +505,7 @@
 				"components_bananza.a_protected_integer", 
 				a_protected_integer.getFullName());
-		assertEquals("wrong visibility", a_protected_integer.getVisbility(),
+		assertEquals("wrong visibility", a_protected_integer.getVisibility(),
 				IModelicaComponent.Visibility.PROTECTED);
-		reg = a_protected_integer.getLocation();
+		reg = a_protected_integer.getLocation().getRegion();
 		assertEquals("wrong start offset", 407, reg.getOffset());
 		assertEquals("wrong length", 451-407+1, reg.getLength());
@@ -535,7 +535,7 @@
 				"components_bananza.a_protected_real", 
 				a_protected_real.getFullName());		
-		assertEquals("wrong visibility", a_protected_real.getVisbility(),
+		assertEquals("wrong visibility", a_protected_real.getVisibility(),
 				IModelicaComponent.Visibility.PROTECTED);
-		reg = a_protected_real.getLocation();
+		reg = a_protected_real.getLocation().getRegion();
 		assertEquals("wrong start offset", 380, reg.getOffset());
 		assertEquals("wrong length", 401-380+1, reg.getLength());
@@ -639,5 +639,5 @@
 		IModelicaClass clazz;
 		IStandardLibrary stdLib = 
-				ModelicaCore.getModelicaRoot().getStandardLibrary();
+				ModelicaCore.getModelicaRoot().getStandardLibrary(null);
 		
 		/*
@@ -724,5 +724,5 @@
 		assertNotNull(clazz);
 		
-		defReg = clazz.getLocation();
+		defReg = clazz.getLocation().getRegion();
 		assertEquals("wrong start offset", 111, defReg.getOffset());
 		assertEquals("wrong length", 239-111+1, defReg.getLength());
@@ -732,5 +732,5 @@
 		assertNotNull(clazz);
 		
-		defReg = clazz.getLocation();
+		defReg = clazz.getLocation().getRegion();
 		assertEquals("wrong start offset", 137, defReg.getOffset());
 		assertEquals("wrong length", 167-137+1, defReg.getLength());
@@ -747,5 +747,5 @@
 		assertNotNull(clazz);
 		
-		defReg = clazz.getLocation();
+		defReg = clazz.getLocation().getRegion();
 		assertEquals("wrong start offset", 25, defReg.getOffset());
 		assertEquals("wrong length", 179-25+1, defReg.getLength());
@@ -755,5 +755,5 @@
 		assertNotNull(clazz);
 		
-		defReg = clazz.getLocation();
+		defReg = clazz.getLocation().getRegion();
 		assertEquals("wrong start offset", 76, defReg.getOffset());
 		assertEquals("wrong length", 106-76+1, defReg.getLength());
Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaCompletionProcessor.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaCompletionProcessor.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaCompletionProcessor.java	(revision 523)
@@ -62,5 +62,5 @@
 import org.modelica.mdt.test.util.Area51Projects;
 import org.modelica.mdt.test.util.Utility;
-import org.modelica.mdt.ui.editor.ModelicaCompletionProcessor;
+import org.modelica.mdt.ui.assist.ModelicaCompletionProcessor;
 import org.modelica.mdt.ui.editor.ModelicaElementEditorInput;
 
Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementContentProvider.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementContentProvider.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementContentProvider.java	(revision 523)
@@ -137,5 +137,5 @@
 	{
 		IStandardLibrary standardLibrary =
-			ModelicaCore.getModelicaRoot().getStandardLibrary();
+			ModelicaCore.getModelicaRoot().getStandardLibrary(null);
 		
 		assertTrue("standard library node should have children",
Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementSorter.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementSorter.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaElementSorter.java	(revision 523)
@@ -68,6 +68,5 @@
 
 	/* the test subject */
-	private ModelicaElementSorter sorter = 
-		new ModelicaElementSorter();
+	private ModelicaElementSorter sorter = new ModelicaElementSorter(ModelicaElementSorter.NAME);
 	
 	@Override
Index: trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaRoot.java
===================================================================
--- trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaRoot.java	(revision 438)
+++ trunk/org.modelica.mdt.test/src/org/modelica/mdt/test/TestModelicaRoot.java	(revision 523)
@@ -53,4 +53,5 @@
 import org.eclipse.core.runtime.Path;
 import org.eclipse.core.resources.IWorkspaceRoot;
+import org.eclipse.jface.viewers.Viewer;
 
 import org.modelica.mdt.core.IModelicaClass;
@@ -85,7 +86,13 @@
 
 	
-	public class WorkspaceChangesListener 
-			implements IModelicaElementChangeListener 
-	{
+	public class WorkspaceChangesListener implements IModelicaElementChangeListener 
+	{
+		
+		
+
+		public void setViewer(Viewer viewer) {
+			// TODO Auto-generated method stub
+			
+		}
 
 		public void elementsChanged(Collection<IModelicaElementChange> changes) 
@@ -143,4 +150,9 @@
 		private boolean folderRemoved = false;
 		private boolean packageAdded = false;
+
+		public void setViewer(Viewer viewer) {
+			// TODO Auto-generated method stub
+			
+		}
 
 		public void elementsChanged(Collection<IModelicaElementChange> changes) 
@@ -194,4 +206,9 @@
 		private boolean folderAdded = false;
 
+		public void setViewer(Viewer viewer) {
+			// TODO Auto-generated method stub
+			
+		}
+
 		public void elementsChanged(Collection<IModelicaElementChange> changes) 
 		{
@@ -276,6 +293,5 @@
 		if (!project.exists())
 		{
-	 		IModelicaProject moProj =
-				ModelicaCore.getModelicaRoot().createProject(PROJECT_NAME_1); 
+	 		IModelicaProject moProj = ModelicaCore.getModelicaRoot().createProject(project); 
 			assertNotNull("failed to create project", moProj);
 			project = moProj.getWrappedProject();
@@ -384,12 +400,10 @@
 		 * check if ModelicaRoot picks up additions of projects
 		 */
-		IProject simpleProject = 
-			workspaceRoot.getProject(PROJECT_NAME_SIM_EXTRA);
+		IProject simpleProject = workspaceRoot.getProject(PROJECT_NAME_SIM_EXTRA);
 		simpleProject.create(null);
 		simpleProject.open(null);
 		
 		IProject modelicaProject = 
-			ModelicaCore.getModelicaRoot().
-				createProject(PROJECT_NAME_MOD_EXTRA).getWrappedProject();
+			ModelicaCore.getModelicaRoot().createProject(simpleProject).getWrappedProject();
 		modelicaProject.open(null);
 