Index: trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_reader.java
===================================================================
--- trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_reader.java	(revision 644)
+++ trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_reader.java	(revision 645)
@@ -38,6 +38,8 @@
 import java.util.Scanner;
 
-
-// TODO: Auto-generated Javadoc
+import org.openmodelica.simulation.core.init_txt_handling.InitTXT;
+
+
+//TODO: Auto-generated Javadoc
 /**
  * The _init.txt file is used by OpenModelica to initialize a corresponding simulation runtime executable.
@@ -54,8 +56,6 @@
 	/**
 	 * Reads a init.txt file from a specified path and creates an InitTXT object which contains all initial values and simulation settings
-	 *
 	 * @param pathToInit Absoulut path to the "_init.txt" file
 	 * @return An InitTXT object containing all initial values and simulation settings
-	 * @throws Exception the exception
 	 */
 	public static InitTXT readInit(String pathToInit) throws Exception{
@@ -104,4 +104,10 @@
 				if(!outputformat.contains("outputFormat"))
 					throw new Exception("Output format is not given: " + outputformat);
+			}
+			
+			{ //VARIABLE FILTER
+				String outputformat = raf.readLine();
+				if(!outputformat.contains("variableFilter"))
+					throw new Exception("Variable filter is not given: " + outputformat);
 			}
 		}
Index: trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_writer.java
===================================================================
--- trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_writer.java	(revision 644)
+++ trunk/modelicaml/org.openmodelica.simulation.core/src/org/openmodelica/simulation/core/init_txt_handling/SimulationInit_TXT_writer.java	(revision 645)
@@ -39,5 +39,8 @@
 import java.io.Writer;
 
-// TODO: Auto-generated Javadoc
+import org.openmodelica.simulation.core.init_txt_handling.InitTXT;
+import org.openmodelica.simulation.core.init_txt_handling.SimulationInit_TXT_reader;
+
+//TODO: Auto-generated Javadoc
 /**
  * Generates an text file including all data from the model_init.txt file in the same structure
@@ -77,4 +80,6 @@
 			  fw.append( System.getProperty("line.separator") );
 			  fw.append(  "\"plt\" // outputFormat");
+			  fw.append( System.getProperty("line.separator") );
+			  fw.append(  "\".*\" // variableFilter");
 			  fw.append( System.getProperty("line.separator") );
 			 
@@ -137,7 +142,7 @@
 				  //TODO [20110308] New Version of OMI init file has true/false for boolean instead of 1.0/0.0
 				  if(modifiedInitData.n_bool_parametersProperties.get(parName) == 1.0)
-					  fw.append( "1.0" + " // " + parName + "");
+					  fw.append( "true" + " // " + parName + "");
 				  else if(modifiedInitData.n_bool_parametersProperties.get(parName) == 0.0)
-					  fw.append( "0.0" + " // " + parName + "");
+					  fw.append( "false" + " // " + parName + "");
 				  
 				  fw.append( System.getProperty("line.separator") );				  
@@ -149,7 +154,7 @@
 				//TODO [20110308] New Version of OMI init file has true/false for boolean instead of 1.0/0.0
 				  if(modifiedInitData.n_bool_variablesProperties.get(varName) == 1.0)
-					  fw.append( "1.0" + " // " + varName + "");
+					  fw.append( "true" + " // " + varName + "");
 				  else if(modifiedInitData.n_bool_variablesProperties.get(varName) == 0.0)
-					  fw.append( "0.0" + " // " + varName + "");
+					  fw.append( "false" + " // " + varName + "");
 				  
 				  fw.append( System.getProperty("line.separator") );				  
@@ -179,8 +184,8 @@
 		InitTXT modifiedInitData;
 		try {
-			modifiedInitData = SimulationInit_TXT_reader.readInit("D:\\Program Files (x86)\\eclipse-modeling-35\\runtime-EclipseApplication\\org.openmodelica.simulation.projects\\SimpleSimulation\\TwoTanksSystemExample.Simulations.SimpleSimulation_init.txt");
+			modifiedInitData = SimulationInit_TXT_reader.readInit("D:/OpenModelica1.6.0/tmp/TwoTanksExample.Simulations.TanksSystemSimulation1_init.txt");
 			modifiedInitData.step = 1.8;
 			System.out.println(modifiedInitData.n_int_variablesProperties);
-			writeInit("D:/TwoTanksSystemExample.Simulations.SimpleSimulation_init2.txt", modifiedInitData);
+			writeInit("D:/OpenModelica1.6.0/tmp/TwoTanksExample.Simulations.TanksSystemSimulation1_init.txt", modifiedInitData);
 		} catch (Exception e) {
 			// TODO Auto-generated catch block