Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/Activator.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/Activator.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/Activator.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetColorForTypedElement.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetColorForTypedElement.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetColorForTypedElement.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetConnectorLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetConnectorLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetConnectorLabel.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetDependecyLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetDependecyLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetDependecyLabel.java	(revision 846)
@@ -1,2 +1,36 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR 
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL). 
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE. 
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
+ * http://www.openmodelica.org, and in the OpenModelica distribution. 
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
+ * Contributors: 
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
+ */
 package org.openmodelica.modelicaml.model.explorer.customization;
 import org.eclipse.uml2.uml.Dependency;
@@ -5,7 +39,9 @@
 import org.eclipse.uml2.uml.Enumeration;
 import org.eclipse.uml2.uml.NamedElement;
+import org.eclipse.uml2.uml.Property;
 import org.eclipse.gmt.modisco.infra.query.core.exception.ModelQueryExecutionException;
 import org.eclipse.gmt.modisco.infra.query.core.java.IJavaModelQuery;
 import org.eclipse.gmt.modisco.infra.query.core.java.ParameterValueList;
+import org.openmodelica.modelicaml.common.constants.Constants;
 
 /** Returns the label for a dependency */
@@ -26,8 +62,23 @@
 				if (client instanceof Class) {
 //					clientName = ((Class)client).getName();
-					if (supplier instanceof Class || supplier instanceof Enumeration) {
-						return "import of " + ((NamedElement)supplier).getName();
+					// Import dependency
+					if ( (supplier instanceof Class || supplier instanceof Enumeration)
+							&& context.getAppliedStereotype(Constants.stereotypeQName_ImportRelation) != null) {
+						
+						return "'" + ((NamedElement)client).getName() + "'" + " imports " + "'" + ((NamedElement)supplier).getName() + "'";
 					}
 				}
+				// Value Bindings
+				else if (supplier instanceof Property && client instanceof Property
+							&& client.getAppliedStereotype(Constants.stereotypeQName_ValueMediator) != null ) {
+					if (context.getAppliedStereotype(Constants.stereotypeQName_ObtainsValueFrom) != null ){
+						return "'" + ((NamedElement)client).getName() + "'" + " obtains value from " + "'" + ((NamedElement)supplier).getName() + "'";
+					}
+					else if (context.getAppliedStereotype(Constants.stereotypeQName_ProvidesValueFor) != null) {
+						return "'" + ((NamedElement)client).getName() + "'" + " provides value for " + "'" + ((NamedElement)supplier).getName() + "'";
+					}
+				}
+				
+				// TODO: Redeclare, extends relation, etc.
 			}
 		}
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetGeneralizationLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetGeneralizationLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetGeneralizationLabel.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetImportsLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetImportsLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetImportsLabel.java	(revision 846)
@@ -1,2 +1,36 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR 
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL). 
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE. 
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
+ * http://www.openmodelica.org, and in the OpenModelica distribution. 
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
+ * Contributors: 
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
+ */
 package org.openmodelica.modelicaml.model.explorer.customization;
 import org.eclipse.uml2.uml.Classifier;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLClassIcon.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLClassIcon.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLClassIcon.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLComponentIconPath.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLComponentIconPath.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetModelicaMLComponentIconPath.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetNamedElementLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetNamedElementLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetNamedElementLabel.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetOpaqueBehaviorLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetOpaqueBehaviorLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetOpaqueBehaviorLabel.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetTypedElementLabel.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetTypedElementLabel.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/GetTypedElementLabel.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/HasValueBindingStereotype.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/HasValueBindingStereotype.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/HasValueBindingStereotype.java	(revision 846)
@@ -1,2 +1,36 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR 
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL). 
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE. 
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
+ * http://www.openmodelica.org, and in the OpenModelica distribution. 
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
+ * Contributors: 
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
+ */
 package org.openmodelica.modelicaml.model.explorer.customization;
 import org.eclipse.uml2.uml.Dependency;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsBindingDependency.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsBindingDependency.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsBindingDependency.java	(revision 846)
@@ -1,2 +1,36 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR 
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL). 
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE. 
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
+ * http://www.openmodelica.org, and in the OpenModelica distribution. 
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
+ * Contributors: 
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
+ */
 package org.openmodelica.modelicaml.model.explorer.customization;
 import org.eclipse.uml2.uml.Dependency;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsConstant.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsConstant.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsConstant.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsFlow.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsFlow.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsFlow.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsHaveMoreThanXProperties.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsHaveMoreThanXProperties.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsHaveMoreThanXProperties.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsInput.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsInput.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsInput.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsModelicaMLStereotypeApplied.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsModelicaMLStereotypeApplied.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsModelicaMLStereotypeApplied.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsOutput.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsOutput.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsOutput.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsParameter.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsParameter.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsParameter.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsPartial.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsPartial.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsPartial.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;
Index: /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsStream.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsStream.java	(revision 845)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.model.explorer.customization/src/org/openmodelica/modelicaml/model/explorer/customization/IsStream.java	(revision 846)
@@ -27,8 +27,9 @@
  * See the full OSMC Public License conditions for more details.
  *
+ * Main author: Wladimir Schamai, EADS Innovation Works / Linköping University, 2009-now
+ *
  * Contributors: 
- *   Wladimir Schamai, EADS Innovation Works 2009-2011
- *   Uwe Pohlmann, University of Paderborn 2009-2010
- *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011
+ *   Uwe Pohlmann, University of Paderborn 2009-2010, contribution to the Modelica code generation for state machine behavior, contribution to Papyrus GUI adoptations
+ *   Parham Vasaiely, EADS Innovation Works / Hamburg University of Applied Sciences 2009-2011, implementation of simulation plugins
  */
 package org.openmodelica.modelicaml.model.explorer.customization;